View Issue Details

IDProjectCategoryLast Update
0023305AI War 2[All Projects] Bug - GameplayJun 23, 2020 3:55 pm
ReporterNRSirLimboAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.073 Filesize Finalization 
Fixed in VersionBeta 2.076 Hotfix 
Summary0023305: All Damage/Initial Game Speed are multiplied by 4.096
DescriptionGonna assume this is a bug from changing FInts...
I've only seen it affect weapon damage and the initial game speed (which goes away just fine after resetting to 0 and going back up).

Note that the ship below in the screenshot is the same from before where I wanted to test getting 50k at 90% fusion effect to an entity having 50k hull and seeing what may be the result, but it instead instantly annihilated the enemy...

Also, this bug appears in vanilla too. I've tested.
TagsNo tags attached.

Relationships

related to 0023315 resolvedx4000Bughunter Displayed speed values are all too high 

Activities

NRSirLimbo

Jun 16, 2020 6:48 pm

reporter  

20200617003723_1.jpg (376,225 bytes)

Lord Of Nothing

Jun 16, 2020 6:54 pm

reporter   ~0057320

Possibly related issue: Speed and AIP seem to have had something similar occur. In these cases, the new numbers are displayed.

Lord Of Nothing

Jun 16, 2020 6:58 pm

reporter   ~0057321

Science and HAP gathered totals for player planets have gone haywire too.

x4000Bughunter

Jun 16, 2020 8:04 pm

administrator   ~0057322

Thanks!

* Warning: any savegames loaded into 2.073 and then re-saved now have all of their FInt values multiplied by about 4.1.
** The harmless end of this was that your speed was 4.1x, but on the nastier end it meant your AIP was 4.1x higher. Or on the plus side, your science...
** This ALSO would affect any new games that were created in 2.073, since those load an old savegame no matter what (to get your last settings).
*** If your old settings are off because you loaded a save in 2.073, then please make sure that you hit Reset To Defaults in the lobby, or load a different save or quickstart into the lobby for editing.
** Why this was affecting damage output is not entirely clear, but in some cases it seems to have been. Please let us know if you continue to observe that for some reason. We thought that was based on the galaxy options, but it seems like not.

* During gameplay, when you click into the Galaxy-Wide Options screen it now shows you ALL of the values, not just the ones you can edit.
** As with the factions screen, it just has the ones that are non-editable as text values, but you can examine your settings this way and also see their tooltips.

NRSirLimbo

Jun 16, 2020 8:47 pm

reporter   ~0057329

Sadly still getting the same issues (damage & game speed x4.096).
Don't see any problem with Science or Hacking though.

20200617024547_1.jpg (314,513 bytes)

x4000Bughunter

Jun 17, 2020 1:35 pm

administrator   ~0057344

Did you hit Reset to Defaults in the lobby? Otherwise you're likely to still be loading from the prior game. Or go into a quick start and load from there.

NRSirLimbo

Jun 17, 2020 2:42 pm

reporter   ~0057346

I've hit Reset to Defaults in Game Settings, Controls and the Custom Game screens, verified steam game files and restarted the game multiple times over without any mods or DLCs installed, same error.

20200617203916_1.jpg (340,772 bytes)

x4000Bughunter

Jun 17, 2020 5:21 pm

administrator   ~0057350

Okay, wow. All right, I'll see what I can find.

NRSirLimbo

Jun 17, 2020 7:27 pm

reporter   ~0057353

I can now confirm that the damage bug is coming from the Combat Speed setting (as in, how much attack power ships have as a game-wide modifier when CTRL+Clicking the simulation speed buttons).
Changing it once and back resolves the glitch entirely as far as I can see.

x4000Bughunter

Jun 18, 2020 5:13 pm

administrator   ~0057370

Was this showing something like Fast-1 or Cheetah or something like that down there?

NRSirLimbo

Jun 18, 2020 5:22 pm

reporter   ~0057371

Neither. And when Control-Clicking onto either combat-speed up or speed down it goes to fast-1 or slow-1, and that truly applies. It seems only the default speed is abnormal, everything else works.
When simply clicking to sim-speed up or down it goes by 0.5 increments in either direction, but stops at 1.0 or 5.0 flat.

x4000Bughunter

Jun 18, 2020 5:26 pm

administrator   ~0057372

Nevermind, I can see that it is not, but it is still wrong. This is also the thing affecting speeds. Thanks for this catch!!!

x4000Bughunter

Jun 18, 2020 6:15 pm

administrator   ~0057373

Thanks!

* There's a handy "combat attack and speed multiplier" that you can set by holding Ctrl and clicking the faster and slower buttons at the bottom of the screen, and that's not new.
** However, there were some problems with us never really setting that back to the proper defaults, and in the case of our switch of FInt formatting that caused a lot of things to wind up at speed 4.1 rather than 1.
** This is now automatically and retroactively fixed for all savegames, and will work properly in the future if you have those speeds up or down in one game and then start a new one, too.

NRSirLimbo

Jun 19, 2020 2:11 pm

reporter   ~0057393

I hate to do this but... In my AIW2 there's still 4.1x sim speed set at game start......

x4000Bughunter

Jun 19, 2020 4:09 pm

administrator   ~0057395

Have you hit reset to defaults or loaded a quick start into the lobby? If not, that is expected.

NRSirLimbo

Jun 23, 2020 8:15 am

reporter   ~0057421

I reset the game settings entirely, new custom game start, still there.

x4000Bughunter

Jun 23, 2020 9:51 am

administrator   ~0057423

Sorry, I was referring to , in the custom game start, the Reset to Defaults in that screen.

When you start a new custom game, it's actually loading a small savegame of the last settings you saved with. Custom games are only cleared out in that fashion if you hit Reset to Defaults in the lobby. Or if you delete PlayerData\Save\_Internal\LastLobbySettings.save, which is the save it's loading when you start a new savegame.

NRSirLimbo

Jun 23, 2020 10:32 am

reporter   ~0057424

Yeah, that probably was it.

I could've sworn I hit reset there... But I probably missed it.

x4000Bughunter

Jun 23, 2020 3:55 pm

administrator   ~0057427

No worries! Normally that piece isn't really relevant, but in this case it was quite an annoying bit of data to hang around too long.

Issue History

Date Modified Username Field Change
Jun 16, 2020 6:47 pm NRSirLimbo New Issue
Jun 16, 2020 6:48 pm NRSirLimbo File Added: 20200617003723_1.jpg
Jun 16, 2020 6:49 pm NRSirLimbo Description Updated View Revisions
Jun 16, 2020 6:54 pm Lord Of Nothing Note Added: 0057320
Jun 16, 2020 6:58 pm Lord Of Nothing Note Added: 0057321
Jun 16, 2020 7:43 pm BadgerBadger Assigned To => x4000Bughunter
Jun 16, 2020 7:43 pm BadgerBadger Status new => assigned
Jun 16, 2020 8:04 pm x4000Bughunter Status assigned => resolved
Jun 16, 2020 8:04 pm x4000Bughunter Resolution open => fixed
Jun 16, 2020 8:04 pm x4000Bughunter Fixed in Version => Beta 2.074 FInt Hotfix
Jun 16, 2020 8:04 pm x4000Bughunter Note Added: 0057322
Jun 16, 2020 8:47 pm NRSirLimbo File Added: 20200617024547_1.jpg
Jun 16, 2020 8:47 pm NRSirLimbo Note Added: 0057329
Jun 17, 2020 1:35 pm x4000Bughunter Note Added: 0057344
Jun 17, 2020 2:42 pm NRSirLimbo File Added: 20200617203916_1.jpg
Jun 17, 2020 2:42 pm NRSirLimbo Note Added: 0057346
Jun 17, 2020 5:21 pm x4000Bughunter Status resolved => assigned
Jun 17, 2020 5:21 pm x4000Bughunter Note Added: 0057350
Jun 17, 2020 7:27 pm NRSirLimbo Note Added: 0057353
Jun 18, 2020 5:12 pm x4000Bughunter Relationship added related to 0023315
Jun 18, 2020 5:13 pm x4000Bughunter Note Added: 0057370
Jun 18, 2020 5:22 pm NRSirLimbo Note Added: 0057371
Jun 18, 2020 5:26 pm x4000Bughunter Note Added: 0057372
Jun 18, 2020 6:15 pm x4000Bughunter Status assigned => resolved
Jun 18, 2020 6:15 pm x4000Bughunter Fixed in Version Beta 2.074 FInt Hotfix => Beta 2.076 Hotfix
Jun 18, 2020 6:15 pm x4000Bughunter Note Added: 0057373
Jun 19, 2020 2:11 pm NRSirLimbo Note Added: 0057393
Jun 19, 2020 4:09 pm x4000Bughunter Note Added: 0057395
Jun 23, 2020 8:15 am NRSirLimbo Note Added: 0057421
Jun 23, 2020 9:51 am x4000Bughunter Note Added: 0057423
Jun 23, 2020 10:32 am NRSirLimbo Note Added: 0057424
Jun 23, 2020 3:55 pm x4000Bughunter Note Added: 0057427